Skip to content
Branch: master
Find file History
mightyguava Require configs to be explicitly bound and enable requireExplicitInje…
…ct() (#816)

* Requires configs to be explicitly bound.

Fixes #794. This removes the code in `ConfigModule` that walks the
app's `Config` object and binds its child `Config` classes automatically.

* Rename and un-deprecate WebActionModule's factory methods

* Enable requireAtInjectOnConstructors()

* skipSources() on WebActionModule provider check

Makes the error message for WebAction injector errors refer to the
module that installs WebActionModule instead of WebActionModule.
Latest commit e82b920 Mar 6, 2019
Permalink
Type Name Latest commit message Commit time
..
Failed to load latest commit information.
src Require configs to be explicitly bound and enable requireExplicitInje… Mar 6, 2019
build.gradle Share including hooks.gradle with all subprojects Dec 4, 2018
gradle.properties
You can’t perform that action at this time.